Mark a payment as refunded - WalletConnect Pay Docs

Mark a payment as refunded

cURL

curl --request POST \
  --url https://api.pay.walletconnect.com/v1/refunds \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Merchant-Id: <merchant-id>' \
  --data '
{
  "paymentId": "<string>"
}
'

Python

import requests

url = "https://api.pay.walletconnect.com/v1/refunds"

payload = { "paymentId": "<string>" }
headers = {
    "Merchant-Id": "<merchant-id>",
    "Api-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'Merchant-Id': '<merchant-id>',
    'Api-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({paymentId: '<string>'})
};

fetch('https://api.pay.walletconnect.com/v1/refunds', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




200 OK Response Example

{
  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"
}

Authorizations

Body Parameters

Response